[med-svn] [Git][med-team/biobambam2][master] 3 commits: Add autopkgtest data

Pranav Ballaney gitlab at salsa.debian.org
Wed May 27 12:28:03 BST 2020



Pranav Ballaney pushed to branch master at Debian Med / biobambam2


Commits:
39c199bd by Pranav Ballaney at 2020-05-27T16:52:08+05:30
Add autopkgtest data

- - - - -
0074ebd4 by Pranav Ballaney at 2020-05-27T16:52:20+05:30
Add autopkgtests

- - - - -
f528447e by Pranav Ballaney at 2020-05-27T16:52:45+05:30
Install manpages and docs

- - - - -


10 changed files:

- + debian/README.test
- + debian/docs
- + debian/examples
- + debian/manpages
- + debian/source/include-binaries
- + debian/tests/control
- + debian/tests/data/README.test-data
- + debian/tests/data/SRR11728627.bam
- + debian/tests/data/SRR11728641.bam
- + debian/tests/run-unit-test


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/docs
=====================================
@@ -0,0 +1,5 @@
+README
+README.md
+debian/README.test
+debian/tests/run-unit-test
+debian/tests/data/README.test-data


=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+debian/tests/data/*
\ No newline at end of file


=====================================
debian/manpages
=====================================
@@ -0,0 +1 @@
+src/programs/*.1
\ No newline at end of file


=====================================
debian/source/include-binaries
=====================================
@@ -0,0 +1,2 @@
+debian/tests/data/SRR11728627.bam
+debian/tests/data/SRR11728641.bam
\ No newline at end of file


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/data/README.test-data
=====================================
@@ -0,0 +1,12 @@
+The files used for testing were obtained by downloading the following:
+* NC_045512.2.fasta from https://www.ncbi.nlm.nih.gov/nuccore/NC_045512.2?report=fasta
+* SRR11728627.fastq from https://trace.ncbi.nlm.nih.gov/Traces/sra/?run=SRR11728627
+* SRR11728641.fastq from https://trace.ncbi.nlm.nih.gov/Traces/sra/?run=SRR11728641
+
+And applying the following operations:
+
+bowtie2-build NC_045512.2.fasta sars-cov-2
+bowtie2 -x sars-cov-2 SRR11728627.fq -S SRR11728627.sam
+bowtie2 -x sars-cov-2 SRR11728641.fq -S SRR11728641.sam
+samtools view -b SRR11728627.sam > SRR11728627.bam
+samtools view -b SRR11728641.sam > SRR11728641.bam
\ No newline at end of file


=====================================
debian/tests/data/SRR11728627.bam
=====================================
Binary files /dev/null and b/debian/tests/data/SRR11728627.bam differ


=====================================
debian/tests/data/SRR11728641.bam
=====================================
Binary files /dev/null and b/debian/tests/data/SRR11728641.bam differ


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,58 @@
+#!/bin/bash
+set -e
+
+pkg=biobambam2
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+echo -e "\e[93m\e[1mTest 1\e[0m"
+bamsormadup < SRR11728627.bam > SRR11728627.sorted.bam
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 2\e[0m"
+bamcollate2 index=1 collate=3 indexfilename=SRR11728627.idx < SRR11728627.bam  > SRR11728627.collated.bam
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 3\e[0m"
+bammarkduplicates2 I=SRR11728641.bam O=SRR11728641.uniq.bam D=SRR11728641.dups.bam rmdup=1
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 4\e[0m"
+bammarkduplicates2 I=SRR11728641.bam O=SRR11728641.dupmarked.bam md5=1 md5filename=SRR11728641.dupmarked.bam.md5
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 5\e[0m"
+bammaskflags maskneg=16 < SRR11728627.bam > SRR11728627.masked.bam
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 6\e[0m"
+bamrecompress level=3 < SRR11728627.sam > SRR11728627.lvl3.bam
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 7\e[0m"
+bamsort SO=coordinate < SRR11728641.bam > SRR11728641.sorted.bam
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 8\e[0m"
+bamtofastq collate=1 < SRR11728627.bam > SRR11728627.fastq
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+



View it on GitLab: https://salsa.debian.org/med-team/biobambam2/-/compare/565373b5d1ead2f045943e270d479ad8366dd310...f528447efb7ccca633f69109c289c257e6edc5c2

-- 
View it on GitLab: https://salsa.debian.org/med-team/biobambam2/-/compare/565373b5d1ead2f045943e270d479ad8366dd310...f528447efb7ccca633f69109c289c257e6edc5c2
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200527/42b4ec5c/attachment-0001.html>


More information about the debian-med-commit mailing list